Bug 1570993 - Raspberry Pi3 B+ lock ups
Summary: Raspberry Pi3 B+ lock ups
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bcm283x-firmware
Version: 28
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F28FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2018-04-23 22:50 UTC by Paul Whalen
Modified: 2018-04-25 00:03 UTC (History)
6 users (show)

Fixed In Version: bcm283x-firmware-20180416-1.a154f21.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-25 00:03:21 UTC
Type: Bug


Attachments (Terms of Use)

Description Paul Whalen 2018-04-23 22:50:22 UTC
Description of problem:
Some users have reported issues with bcm283x-firmware and the system locking up during normal usage. 

Upstream discussion here:

https://www.raspberrypi.org/forums/viewtopic.php?f=28&t=208821

Comment 1 Peter Robinson 2018-04-23 22:55:53 UTC
https://github.com/raspberrypi/firmware/commit/a154f2136850dba827cf4bc40794854376902cbd

So the next rev of the upstream firmware mitigated this by slowing down the default memory freq to make it more stable while they work out what's up.

firmware: platform: Pi3 B+ reduce sdram freq to 450 while investigations are ongoing
See: https://www.raspberrypi.org/forums/viewtopic.php?f=28&t=208821

firmware: arm_loader: Allow hdmi_ignore_composite to disable any display initialisation
See: raspberrypi/userland#447

firmware: Add aphy and dphy slew and drive register controls

Comment 2 Fedora Update System 2018-04-23 23:00:54 UTC
bcm283x-firmware-20180416-1.a154f21.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-142a31fda3

Comment 3 Fedora Blocker Bugs Application 2018-04-23 23:03:29 UTC
Proposed as a Freeze Exception for 28-final by Fedora user pbrobinson using the blocker tracking app because:

 Some reports upstream of some 3+ devices not booting out of the box, this firmware stabilises these devices while they workout what the issues are.

Comment 4 Adam Williamson 2018-04-24 00:30:33 UTC
Seems reasonable, so I'm inclined to +1 FE...how restricted is this change to the raspi 3 hardware? Could it have any unintended effects on other platforms using similar wifi adapters?

Comment 5 Peter Robinson 2018-04-24 10:25:55 UTC
(In reply to Adam Williamson from comment #4)
> Seems reasonable, so I'm inclined to +1 FE...how restricted is this change
> to the raspi 3 hardware? Could it have any unintended effects on other
> platforms using similar wifi adapters?

It's nothing to do with wifi what so ever, it's 100% restricted to the Raspberry Pi platform (covering the 2, 3 and 3+ in our case, but covered all RPi variants) as it's the boot/gpu firmware that brings the device up hence the reference to restricting the sdram frequency.

Comment 6 Adam Williamson 2018-04-24 16:28:40 UTC
ah, sorry, I was just taking a shortcut from 'bcm' to 'wifi', guess that's not always correct :P If it's restricted to the pi platforms and tested, then I think it should be fine.

Comment 7 Kevin Fenzi 2018-04-24 18:59:12 UTC
+1 FE

Comment 8 Stephen Gallagher 2018-04-24 18:59:23 UTC
+1 FE

Comment 9 Mohan Boddu 2018-04-24 18:59:40 UTC
+1 FE

Comment 10 Fedora Update System 2018-04-24 19:14:11 UTC
bcm283x-firmware-20180416-1.a154f21.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-142a31fda3

Comment 11 Adam Williamson 2018-04-24 19:14:31 UTC
OK, accepting as a freeze exception issue. It'd be great if folks with Pis can test the update and check it works OK for them (then karma it).

Comment 12 Adam Williamson 2018-04-24 20:37:29 UTC
Update: pbrobinson has just let us know that if you're testing this as just a package update, as well as updating the package you have to run "rpi-firmware-update" and reboot before the updated firmware actually takes effect. So, if you're testing...please do that. :) Thanks!

Comment 13 Fedora Update System 2018-04-25 00:03:21 UTC
bcm283x-firmware-20180416-1.a154f21.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.